//////////////////////////////////////////////////////////////////////////
//                              evenodd.c                               //
// Purpose                                                              //
// =======                                                              //
// To demonstrate the use of output into files. The program generates   //
// the requested number of random numbers. Even numbers are placed into //
// a file called "Even" and odd numbers into a file called "Odd".       //
//                                                                      //
// Author            Creation Date                                      //
// ======            =============                                      //
// C. Phillips       12 December 1995                                   //
//                                                                      //
// Input/Output                                                         //
// ============                                                         //
// Input the integer number of random numbers to be generated,          //
// The even and odd numbers are output to separate files.               //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#include <iostream>
#include <fstream>
using namespace std;

int main()
{
  ofstream evenNumbers;
  ofstream oddNumbers;
  int      n;
  int      nextNumber;

  // Open the output files
  evenNumbers.open("Even.txt");
  oddNumbers.open("Odd.txt");
  evenNumbers << "A list of random even numbers" << endl << endl;
  oddNumbers  << "A list of random odd numbers"  << endl << endl;

  cout << "How many numbers do you want to process? ";
  cin  >> n;
  for (int i = 0; i < n; i += 1)
  {
    nextNumber = rand();
    if ((nextNumber % 2) == 0)
    {
      evenNumbers << nextNumber << endl;
    }
    else
    {
      oddNumbers  << nextNumber << endl;
    }
  }
  cout << "Finished. Check the contents of files "
  	   << "\"Even.txt\" and \"Odd.txt\"." << endl;
  return 0;
} // end main()
